{if $bExclusive eq false}
<script type="text/javascript">
	{assign var="kk_shippinginfo_config_utf" value=$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr}
	kk_shippinginfo_config = {$kk_shipping_info_json};

	{literal}

	/**
	 * Updates the Shipping Information after an Ajax Cart update
	 * This reflects what we do on Server side in Smarty
	 */
	kk_shippinginfo_update = function(newValue, config){
		var limitStr = config.kk_shipping_free_value.toFixed(2).replace('.',',');
		var remainingStr = (config.kk_shipping_free_value - newValue).toFixed(2).replace('.',',');
		var basketStr = newValue.toFixed(2).replace('.',',');
		var countriesStr = config.kk_shipping_free_countries;

		if(newValue < config.kk_shipping_free_value){
			$('#kk-shipping-info .shipping-header').html(config.off_header.replace("_(limit)_", limitStr).replace("_(remaining)_",remainingStr).replace("_(basket)_",basketStr).replace("_(countries)_", countriesStr));
			$('#kk-shipping-info .shipping-info').html(config.off_text.replace("_(limit)_", limitStr).replace("_(remaining)_",remainingStr).replace("_(basket)_",basketStr).replace("_(countries)_", countriesStr));
			$('#kk-shipping-info #no-shipping-cost').css('background-image', 'url("' + config.frontend_url + 'template/images/' + config.image_off + '")');
			$('#kk-shipping-info .mail-label').css('display', '');
		}else{
			$('#kk-shipping-info .shipping-header').html(config.on_header.replace("_(limit)_", limitStr).replace("_(remaining)_",remainingStr).replace("_(basket)_",basketStr).replace("_(countries)_", countriesStr));
			$('#kk-shipping-info .shipping-info').html(config.on_text.replace("_(limit)_", limitStr).replace("_(remaining)_",remainingStr).replace("_(basket)_",basketStr).replace("_(countries)_", countriesStr));
			$('#kk-shipping-info #no-shipping-cost').css('background-image', 'url("' + config.frontend_url + 'template/images/' + config.image_on + '")');
			$('#kk-shipping-info .mail-label').css('display', 'none');
		}
		$('#kk-shipping-info .shipping-notice').html(config.notice.replace("_(limit)_", limitStr).replace("_(remaining)_", remainingStr).replace("_(basket)_",basketStr).replace("_(countries)_", countriesStr));
	}

	$(function(){
		if( typeof(window.pushedToBasket) == 'function' ){
			setTimeout(function(){
				// copy function, we want to extend it, so that we realize when
				// the call is made and can react to it respectively
				window.pushedToBasket_orig = window.pushedToBasket;
				window.pushedToBasket = function(){
					// call original
					window.pushedToBasket_orig();
					// update the shipping info stuff
					if(response && response.cWarenkorbLabel){
						var newSum = parseFloat(response.cWarenkorbLabel.replace(/\./g, '').replace(/,/g,'.').replace(/[^\d\.]/g,''), 10);
						kk_shippinginfo_update(newSum, kk_shippinginfo_config);
					}
				};
			}, 100);
		}
	});

	{/literal}
</script>

<link type="text/css" href="{$kk_shipping_info_plugin_frontend_url}template/css/slideout-prefixed.css" rel="stylesheet"/>
	
<div id="kk-shipping-info">
	{if isset($WarenkorbWarensumme) and isset($WarenkorbWarensumme[$NettoPreise])}

		{assign var="kkShippingFreeLimit" value=$kk_shipping_free_value}		
		{assign var="kkShippingFreeCountries" value=$kk_shipping_free_countries|truncate:50}
		{assign var="FloatWarenkorbSumme" value=$WarenkorbWarensumme[$NettoPreise]|replace:" ":""|replace:"&euro;":""|replace:".":""|replace:",":"."|string_format:"%.2f"}

		<div id="no-shipping-cost" class="bar-item {if $FloatWarenkorbSumme >= $kkShippingFreeLimit}active{/if}" {if $FloatWarenkorbSumme >= $kkShippingFreeLimit}style="background-image: url({$kk_shipping_info_plugin_frontend_url}template/images/{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.image_on});"{else}style="background-image: url({$kk_shipping_info_plugin_frontend_url}template/images/{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.image_off});"{/if}>
			<div class="content">
				{math assign="ShippingDiff" equation="a - b" a=$kkShippingFreeLimit b=$FloatWarenkorbSumme}
				{assign var="RemainingString" value=$ShippingDiff|number_format:2:",":"."}
				{assign var="LimitString" value=$kkShippingFreeLimit|number_format:2:",":"."}
				{assign var="BasketString" value=$FloatWarenkorbSumme|number_format:2:",":"."}
				{if $FloatWarenkorbSumme < $kkShippingFreeLimit}

					<div class="mail-label">Ab<br/>{$LimitString}&euro;</div>
					<h3 class="shipping-header">{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.off_header|replace:"_(limit)_":$LimitString|replace:"_(remaining)_":$RemainingString|replace:"_(basket)_":$BasketString|replace:"_(countries)_":$kkShippingFreeCountries}</h3>
					<p class="shipping-info">{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.off_text|replace:"_(limit)_":$LimitString|replace:"_(remaining)_":$RemainingString|replace:"_(basket)_":$BasketString|replace:"_(countries)_":$kkShippingFreeCountries}</p>
				{else}
					<h3 class="shipping-header">{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.on_header|replace:"_(limit)_":$LimitString|replace:"_(remaining)_":$RemainingString|replace:"_(basket)_":$BasketString|replace:"_(countries)_":$kkShippingFreeCountries}</h3>
					<p class="shipping-info">{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.on_text|replace:"_(limit)_":$LimitString|replace:"_(remaining)_":$RemainingString|replace:"_(basket)_":$BasketString|replace:"_(countries)_":$kkShippingFreeCountries}</p>
				{/if}
				<small class="shipping-notice" title="{$kk_shipping_free_countries}">{$oPlugin_kk_shipping_info->oPluginSprachvariableAssoc_arr.notice|replace:"_(limit)_":$LimitString|replace:"_(remaining)_":$RemainingString|replace:"_(basket)_":$BasketString|replace:"_(countries)_":$kkShippingFreeCountries}</small>
			</div>
		</div>

		<div class="shadow"></div>
	{/if}
</div>
{/if}
